open MySet

let s = ref empty

let main () =
  try
    while true do
      s := add !s (read_line ())
    done
  with
    End_of_file ->
      let l = (to_list !s) in
      let rec iter = function
	  [] -> ()
	| (item, count)::tl -> (
	    Printf.printf "%7d %s" count item;
	    print_newline ();
	    iter tl
	   ) in
      iter l

let _ = main ()
